﻿using System.Windows;
using System.Windows.Documents;
using System.Windows.Media;

namespace TestProject
{
    /// <summary>
    /// 4개 포인트 어도너
    /// </summary>
    public class FourPointsAdorner : Adorner
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - FourPointsAdorner(uiElement)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="uiElement">UIElement</param>
        public FourPointsAdorner(UIElement uiElement) : base(uiElement)
        {
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 렌더링시 처리하기 - OnRender(drawingContext)

        /// <summary>
        /// 렌더링시 처리하기
        /// </summary>
        /// <param name="drawingContext">DrawingContext</param>
        protected override void OnRender(DrawingContext drawingContext)
        {
            Rect rect = new Rect(AdornedElement.DesiredSize);

            drawingContext.DrawRectangle(Brushes.Blue, null, new Rect(rect.TopLeft.X        , rect.TopLeft.Y        , 5, 5));
            drawingContext.DrawRectangle(Brushes.Blue, null, new Rect(rect.BottomLeft.X     , rect.BottomLeft.Y - 5 , 5, 5));
            drawingContext.DrawRectangle(Brushes.Blue, null, new Rect(rect.TopRight.X - 5   , rect.TopRight.Y       , 5, 5));
            drawingContext.DrawRectangle(Brushes.Blue, null, new Rect(rect.BottomRight.X - 5, rect.BottomRight.Y - 5, 5, 5));
        }

        #endregion
    }
}